routes/web.php
<?php

use App\Http\Controllers\Admin\DashboardControllers;
use App\Http\Controllers\Admin\ProdukControllers;
use App\Http\Controllers\Admin\SauceControllers;
use App\Http\Controllers\Admin\UkuranControllers;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

//Dashboard
Route::get('/admin/dashboard', [DashboardControllers::class, 'index'])->name('dashboard');

//Produk
Route::resource('admin/produk', ProdukControllers::class);

//Sauce

Route::resource('admin/sauce', SauceControllers::class);


//Ukuran
Route::resource('/admin/ukuran', UkuranControllers::class);

app/Models/produk.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Produk extends Model
{
    protected $table = 'table_produk';
    protected $fillable = [
        'nama_makanan','deskripsi_produk','photo'
    ];

    public function detail_produk(){
        return $this->hasMany(DetailProduk::class, 'id_produk' ,'id');
    }
}

app/Http/Controllers/Admin/ProdukControllers.php
<?php

namespace App\Http\Controllers\Admin;

use App\Models\Produk;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class ProdukControllers extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $data['produk'] = Produk::all();
        return view ('admin.produk.index', $data);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view ('admin.produk.form');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $rule = [
            'nama_makanan' => 'required',
            'deskripsi_produk' => 'required|string'
        ];
        $pesan = [
            'nama_makanan.required' => 'Tolong isi Nama Makanan',
            'deskripsi_produk.required' => 'Tolong isi Deskripsi Produk'
        ];
        $this->validate($request, $rule, $pesan);
        $foto='kosong jpg';
        $request['photo']=$foto;
        $input = $request->all();
        $status = Produk::create($input);
        if ($status){
            return redirect('admin/produk')->with('success', 'Data berhasil ditambahkan');
        }else{
            return redirect('admin/produk/create')->with('error', 'Data gagal Ditambahkan');
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $produk = Produk::find($id);
        $data['produk'] = $produk;
        return view ('admin.produk.form', $data);
        
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $rule = [
            'nama_makanan' => 'required',
            'deskripsi_produk' => 'required|string'
        ];
        $this->validate($request, $rule);
        $foto='kosong jpg';
        $request['photo']=$foto;
        $input = $request->all();
        $produk = Produk::find($id);
        $status = $produk->update($input);
        if ($status){
            return redirect('admin/produk')->with('success', 'Data berhasil diperbaharui');
        }else{
            return redirect('admin/produk/create')->with('error', 'Data gagal Diperbaharui');
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $produk = Produk::find($id);
        $status = $produk->delete();
        if ($status){
            return redirect('admin/produk')->with('success', 'Data berhasil di edit');
        }else{
            return redirect('admin/produk/create')->with('error', 'Data gagal Di edit');
        }
    }
}

resources/views/admin/produk/form.blade.php
@extends('admin.layouts.app')

@section('content')
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper">
        <div class="content-header row">
            <div class="content-header-left col-md-9 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Product Foody Moody</h2>
                        <div class="breadcrumb-wrapper">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{url ('admin/dashboard')}}">Home</a>
                                </li>
                                <li class="breadcrumb-item"><a href="{{route ('produk.index')}}">Menu</a>
                                </li>
                                <li class="breadcrumb-item active">Form
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
        <div class="col-md-12 col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title">{{@$produk ? 'Ubah' : 'Tambah'}} Menu</h4>
                </div>
                <div class="card-body">
                    @if ($errors->any())
                        <div class="alert alert-danger">
                            <ul>
                                @foreach ($errors->all() as $error) 
                                    <li>{{ $error }}</li>
                                @endforeach
                            </ul>
                        </div>
                    @endif
                    <form class="form form-horizontal" method="POST" action="{{@$produk ? route('produk.update', @$produk->id) : route('produk.store') }}" enctype="multipart/form-data" >
                        
                        @csrf
                        @if (@$produk)
                            @method('patch')
                        @endif
                        
                        <div class="row">
                            <div class="col-12">
                                <div class="form-group row">
                                    <div class="col-sm-3 col-form-label">
                                        <label for="fname-icon">Product Name</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="input-group input-group-merge">
                                            <input type="text" id="nama_makanan" class="form-control" name="nama_makanan" placeholder="{{old('nama_makanan', @$produk ? $produk->nama_makanan : 'Nama Makanan')}}"/>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group row">
                                    <div class="col-sm-3 col-form-label">
                                        <label for="email-icon">Definition</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="input-group input-group-merge">
                                            <textarea name="deskripsi_produk" id="deskripsi_produk" cols="30" rows="10" class="form-control" placeholder="{{old('deskripsi_produk', @$produk ? $produk->deskripsi_produk : 'Definisi Produk')}}"></textarea>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12">
                                <div class="form-group row">
                                    <div class="col-sm-3 col-form-label">
                                        <label for="contact-icon">Picture</label>
                                    </div>
                                    <div class="col-sm-9">
                                        <div class="input-group input-group-merge">
                                            <input type="file" id="contact-icon" class="form-control" name="" placeholder="" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-sm-9 offset-sm-3">
                                <button type="submit" class="btn btn-primary mr-1" value="Submit">Submit</button>
                                <a href="{{route ('produk.index')}}" class="btn btn-outline-secondary">Back</a>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection

resources/views/admin/produk/index.blade.php
@extends('admin.layouts.app')

@section('content') 
@if(session('success'))
    <div class="alert alert-message">
        {{session('success')}}
    </div>
@endif
@if(session('error'))
    <div class="alert alert-message">
        {{session('error')}}
    </div>
@endif
<div class="app-content content ">
    <div class="content-overlay"></div>
    <div class="header-navbar-shadow"></div>
    <div class="content-wrapper">
        <div class="content-header row">
            <div class="content-header-left col-md-9 col-12 mb-2">
                <div class="row breadcrumbs-top">
                    <div class="col-12">
                        <h2 class="content-header-title float-left mb-0">Product Foody Moody</h2>
                        <div class="breadcrumb-wrapper">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="{{url ('admin/dashboard')}}">Home</a>
                                </li>
                                <li class="breadcrumb-item active">Menu
                                </li>
                            </ol>
                        </div>
                    </div>
                </div>
            </div>
            <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
                <div class="form-group breadcrumb-right">
                    <div class="dropdown">
                        <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i data-feather="grid"></i></button>
                        <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="app-todo.html"><i class="mr-1" data-feather="check-square"></i><span class="align-middle">Todo</span></a><a class="dropdown-item" href="app-chat.html"><i class="mr-1" data-feather="message-square"></i><span class="align-middle">Chat</span></a><a class="dropdown-item" href="app-email.html"><i class="mr-1" data-feather="mail"></i><span class="align-middle">Email</span></a><a class="dropdown-item" href="app-calendar.html"><i class="mr-1" data-feather="calendar"></i><span class="align-middle">Calendar</span></a></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row" id="table-hover-animation">
            <div class="col-12">
                <div class="card">
                    <div class="card-header">
                        <h4 class="card-title">Table Menu</h4>
                        <a href="{{route('produk.create')}}" class="btn btn-primary">Tambah Data</a>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-hover-animation">
                                <thead>
                                    <tr>
                                        <th>Id</th>
                                        <th>Name Produk</th>
                                        <th>Defintion</th>
                                        <th>Picture</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($produk as $row)
                                    <tr>
                                        <td>
                                            {{$loop->iteration}}
                                        </td>
                                        <td>
                                            {{$row->nama_makanan}}
                                        </td>
                                        <td>{{$row->deskripsi_produk}}</td>
                                        <td>
                                            {{$row->photo}}
                                        </td>
                                        <td>
                                            <a class="btn btn-warning mb-sm-1" href="{{route('produk.edit',$row->id)}}">
                                                Edit
                                            </a>
                                            <form action="{{route('produk.destroy', $row->id)}}" method="POST">
                                                @method('DELETE')
                                                @csrf
                                                <button class="btn btn-danger">
                                                    Hapus
                                                </button>
                                            </form>
                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection